Bug 134476 - snd_pcm_mmap_commit Kernel ALSA Driver Error
Summary: snd_pcm_mmap_commit Kernel ALSA Driver Error
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-03 17:24 UTC by Gianluca Renzi
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-10 09:55:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gianluca Renzi 2004-10-03 17:24:01 UTC
Description of problem:
After reinstalling FEDORA CORE 2 over a pre-existing RH9 up-to-date
and recompiled the sources (kernel 2.6.5-1.358) because of the lack of
IEEE1394 support from CD installation I got this problem using any
kind of sound software:

With xmms and using mpg321 (recompiled both from the sources) I got
randomly this error:
pcm.c:5896: snd_pcm_mmap_commit: Assertion `frames <=
snd_pcm_mmap_avail(pcm)' failed.

Version-Release number of selected component (if applicable):
xmms 1.2.10 and mpg321 version 0.2.10. 

How reproducible:
Launch xmms and/or mpg321 with an mp3 file and wait 'til it crashes (7
times over 10) (with or without log!!)

Steps to Reproduce:
1. Boot Machine
2. launch xmms and/or mpg321 with mp3 file (doesn't care about bitrate)
3. Wait the error!
  
Actual results:
It crash and stop working. Afterward it seems to be difficult to
launch xmms again due to a segfault on startup.

Expected results:
Work as before in rh6.1 to rh9.0. It has to play music!


Additional info:
??

Comment 1 Colin Walters 2004-10-04 23:40:27 UTC
Looks like an ALSA bug.  But it would be helpful if you tried from a
fresh installation - particularly with a stock kernel.

Comment 2 Bill Nottingham 2004-10-05 04:00:57 UTC
What sound driver?

Comment 3 Gianluca Renzi 2004-10-05 07:07:02 UTC
This is a report of lsmod command on my machine:
[root@devil root]# lsmod
Module                  Size  Used by
floppy                 52848  0
snd_pcm_oss            45988  0
snd_mixer_oss          18176  3 snd_pcm_oss
snd_cs4236             19140  3
snd_opl3_lib           12032  1 snd_cs4236
snd_hwdep              10756  1 snd_opl3_lib
snd_cs4236_lib         17920  1 snd_cs4236
snd_mpu401_uart         9472  1 snd_cs4236
snd_rawmidi            22176  1 snd_mpu401_uart
snd_seq_device         10504  2 snd_opl3_lib,snd_rawmidi
snd_cs4231_lib         24708  2 snd_cs4236,snd_cs4236_lib
snd_pcm                77060  3 snd_pcm_oss,snd_cs4236_lib,snd_cs4231_lib
snd_timer              22788  3 snd_opl3_lib,snd_cs4231_lib,snd_pcm
snd                    44644  14
snd_pcm_oss,snd_mixer_oss,snd_cs4236,snd_opl3_lib,snd_hwdep,snd_cs4236_lib,snd_mpu401_uart,snd_rawmidi,snd_seq_device,snd_cs4231_lib,snd_pcm,snd_timer
soundcore              10848  3 snd
snd_page_alloc         12420  2 snd_cs4231_lib,snd_pcm

and this is a report of dmesg command on startup:
[cut]
isapnp: Scanning for PnP cards...
isapnp: Card 'Crystal Audio'
isapnp: 1 Plug & Play card detected total
[cut]
pnp: Device 00:01.00 activated.
pnp: Device 00:01.02 activated.
warning: process `update' used the obsolete bdflush system call
Fix your initscripts?
mtrr: 0xf4000000,0x2000000 overlaps existing 0xf4000000,0x1000000
warning: process `update' used the obsolete bdflush system call
Fix your initscripts?
[cut]
warning: process `update' used the obsolete bdflush system call
Fix your initscripts?

I hope this can help.

Comment 4 Martin Stransky 2005-01-12 07:18:30 UTC
What about FC3? Does the bug survive?

Comment 5 Gianluca Renzi 2005-01-12 19:30:44 UTC
I don't have FC3 installed, nor I am going to install it.
Anyway I upgraded the kernel to 2.6.10-1.8_FC2smp via yum/up2date.
Now I am playing a mp3 file via network using xmms feature to load
from a website (www.live365.com). As soon the bug reappear I will
inform you.

Best regards,
Gianluca

Comment 6 Gianluca Renzi 2005-01-14 07:59:59 UTC
Here is again!!
After a few minutes of working (playing with volume control even in
xmms, or in the system volume control) it crashes with the following:

/var/log/messages:
Jan 14 08:47:17 devil modprobe: FATAL: Error running install command
for sound_slot_1
Jan 14 08:51:31 devil last message repeated 2 times
Jan 14 08:54:01 devil last message repeated 2 times
Jan 14 08:54:01 devil modprobe: FATAL: Error running install command
for sound_slot_1

And from the terminal where I launched xmms from:
[user@devil user]$ xmms
xmms: pcm.c:5896: snd_pcm_mmap_commit: Assertion `frames <=
snd_pcm_mmap_avail(pcm)' failed.
Aborted

This machine is an IBM Intellistation MPRO with dual PIII-Katmai
CPU@550Mhz 512MB RAM - Kernel smp. 2.6.10-1.8-FC2

I hope this can help.

Regards,
Gianluca

Comment 7 Matthew Miller 2005-04-26 15:19:02 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 8 Martin Stransky 2005-05-09 10:50:15 UTC
Do you have any ~/.asoundrc or /etc/asound.conf file?

Comment 9 Gianluca Renzi 2005-05-09 17:57:41 UTC
No, I have only /etc/asound.state file only.
I found if I switch to OSS no problem occurs.

Comment 10 Martin Stransky 2005-05-10 09:55:07 UTC
It has been reported to upstream and bug track for it is here:

https://bugtrack.alsa-project.org/alsa-bug/view.php?id=696
https://bugtrack.alsa-project.org/alsa-bug/view.php?id=483

I'm closing it as UPSTREAM.


Note You need to log in before you can comment on or make changes to this bug.